%global momorel 3

Summary: omnipresent versatile search interface.
Name: deskbar-applet

Version: 2.22.3
Release: %{momorel}m%{?dist}
License: GPL
Group: User Interface/Desktops
URL: http://raphael.slinckx.net/deskbar/

Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/2.22/%{name}-%{version}.tar.bz2
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPrereq: gtk2-devel >= 2.12.9
BuildPrereq: pygtk2-devel >= 2.12.1
BuildPrereq: pygobject-devel >= 2.14.1
BuildPrereq: gnome-python2 >= 2.22.0
BuildPrereq: gnome-desktop-devel >= 2.22.1
BuildPrereq: evolution-data-server-devel >= 2.22.1
BuildPrereq: gnome-python2-desktop-applet >= 2.22.0
BuildPrereq: pkgconfig
Requires: gnome-python2-desktop-applet
Requires: gnome-python-gconf
Requires: GConf2

%description
The goal of DeskbarApplet is to provide an omnipresent versatile
search interface. By typing search terms into the deskbar entry in
your panel you are presented with the search results as you type.

%prep
%setup -q

%build
%configure \
    --disable-schemas-install \
    --disable-scrollkeeper
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install
%find_lang %{name}

find %{buildroot}%{_libdir} -maxdepth 1 -name "*.la" -delete

%clean
rm -rf --preserve-root %{buildroot}

%post
/sbin/ldconfig
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
for i in \
    deskbar-applet.schemas \
    ; do
    gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$i > /dev/null 2>&1
done
scrollkeeper-update
gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    for i in \
        deskbar-applet.schemas \
        ; do
        gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/$i > /dev/null
    done
fi

%postun
/sbin/ldconfig
scrollkeeper-update

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog README TODO
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/bonobo/servers/Deskbar_Applet.server
%{_libdir}/%{name}
%{_libdir}/python?.?/site-packages/deskbar
%{_datadir}/%{name}
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/icons/hicolor/*/apps/%{name}.svg
%{_datadir}/gnome/help/deskbar
%{_datadir}/omf/deskbar

%changelog
* Mon Jul 28 2008 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.22.3-3m)
- change %%preun script

* Mon Jul 21 2008 Masahiro Takahata <takahata@momonga-linux.org>
- (2.22.3-2m)
- modify Requires: gnome-python2-desktop-applet

* Tue Jul  1 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.3-1m)
- update to 2.22.3

* Thu May 29 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.2.1-1m)
- update to 2.22.2.1

* Tue Apr 15 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.1-1m)
- update to 2.22.1

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.22.0.1-2m)
- rebuild against gcc43

* Sat Mar 15 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.0.1-1m)
- update to 2.22.0.1

* Tue Jan  8 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.20.3-1m)
- update to 2.20.3

* Thu Nov 29 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.20.2-1m)
- update to 2.20.2

* Fri Oct 19 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.20.1-1m)
- update to 2.20.1

* Fri Sep 21 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.20.0-1m)
- update to 2.20.0

* Wed Apr 18 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (2.18.1-1m)
- update to 2.18.1

* Wed Mar 14 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.18.0-1m)
- update to 2.18.0

* Thu Mar  1 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.17.92-1m)
- update to 2.17.92

* Thu Feb 22 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.17.91-3m)
- rewind %%post script (gconftool-2)

* Sun Feb 18 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.17.91-2m)
- revice %%post script (gconftool-2)

* Fri Feb 16 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.17.91-1m)
- update to 2.17.91 (unstable)

* Mon Feb 12 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.16.2-4m)
- delete libtool library

* Wed Feb  7 2007 Masanobu Sato <satoshiga@momonga-linux.org>
- (2.16.2-3m)
- rebuild against python-2.5-9m
- delete deskbar-applet-2.16.0-configure.patch

* Sat Dec 23 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (2.16.2-2m)
- rebuild against python-2.5

* Wed Nov 22 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.16.2-1m)
- update to 2.16.2

* Tue Oct 31 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.16.1-1m)
- update to 2.16.1

* Wed Sep 13 2006 Masanobu Sato <satoshiga@momonga-linux.org>
- (2.16.0-2m)
- revise configure patch 

* Thu Sep  7 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.16.0-1m)
- update to 2.16.0

* Sun Jul 23 2006 Mitsuru Shimamura <smbd@momonga-linux.org>
- (2.14.2-4m)
- add BuildPreReq: gnome-python-desktop-applet

* Sat Jul 22 2006 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.14.2-3m)
- add Requires 

* Tue May 30 2006 Masanobu Sato <satoshiga@momonga-linux.org>
- (2.14.2-2m)
- revise configure patch

* Tue May 30 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.14.2-1m)
- update to 2.14.2

* Sat May 27 2006 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.14.1.1-2m)
- add icon image file (SOURCE1)
- add Patch1 (change icon file path)
- add Patch2 (change ui-name)
 
* Wed Apr 19 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.14.1.1-1m)
- update to 2.14.1.1

* Sun Apr 16 2006 Masanobu Sato <satoshiga@momonga-linux.org>
- (2.14.1-2m)
- add configure patch for finding site-packages dir on lib64 env.

* Wed Apr 12 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.14.1-1m)
- Initial Build
